> For the complete documentation index, see [llms.txt](https://docs.mikopbx.com/mikopbx/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mikopbx.com/mikopbx/readme/system-requirements.md).

# Системные требования

В данной статье вы сможете найти системные требования для MikoPBX.

### Требование к сетевому каналу <a href="#trebovanie_k_setevomu_kanalu" id="trebovanie_k_setevomu_kanalu"></a>

Пример расчета необходимой пропускной способности канала для различных кодеков на 30 одновременных звонков. АТС поддерживает наиболее популярные кодеки:

* **G.711** - 4.67 Mbps
* **GSM** - 1.68 Mbps
* **G.722** - 4.67 Mbps
* **G.729** - 1.38 Mbps

{% hint style="info" %}
Расчет ориентировочный, при использовании одного кодека на всех устройствах, подключенных к АТС. Подробнее [тут](https://www.asteriskguru.com/tools/bandwidth_calculator.php).
{% endhint %}

### Минимальные системные требования <a href="#minimalnye_sistemnye_trebovanija" id="minimalnye_sistemnye_trebovanija"></a>

{% hint style="warning" %}
Мы рекомендуем использовать **два** жестких диска для развертывания АТС.
{% endhint %}

* Жесткий диск объемом **800 Mb** для основной системы
* Жесткий диск объемом **50+ Gb** для записей разговоров
* **1 (2 ядра)** процессор **x86-64**
* **2Gb** оперативной памяти
* Сетевой адаптер

{% hint style="success" %}
ПК, с такими параметрами, в наших тестах, держит **38 одновременных входящих звонков** при условиях:

* К очереди подключено 10 агентов (все online)
* Каждую секунду поступает новый звонок
* Клиенту во время ожидания воспроизводится музыка (MOH)
* На АТС не установлено доп. модулей
  {% endhint %}

{% hint style="warning" %}
Ориентировочно, **1 час** разговора занимает **14Мб** места на диске. Для диска хранения записей разговоров рекомендуемый размер - не менее 50 гигабайт.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mikopbx.com/mikopbx/readme/system-requirements.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
